Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040579
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-10 12:352019-05-21 15:17
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisione98fa7d50bdb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040579: ResetAccounting.hasProcessing is not using bind-parameters

DescriptionThis code is not using bind-params:

    String hql = " select count(*) from ADColumn where table.id = '" + strTableId + "' "
        + " and lower(dBColumnName) = 'processing'";
    Query<Long> query = OBDal.getInstance().getSession().createQuery(hql, Long.class);
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00407753.0PR19Q2 closednonofrancisco ResetAccounting.hasProcessing is not using bind-parameters 
depends on backport 00407763.0PR19Q1.2 closedTriage Finance ResetAccounting.hasProcessing is not using bind-parameters 
depends on backport 00407773.0PR18Q4.4 closedTriage Finance ResetAccounting.hasProcessing is not using bind-parameters 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111484)
nonofrancisco (developer)
2019-05-04 17:27

Test Plan

Logged as F&B International Group Admin
Open Sales Invoice window
Create a new Sales invoice with a line of product
Complete the document
Post the document
Unpost the document deleting accounting entries
Verify the process completes successfully
(0111562)
hgbot (developer)
2019-05-08 11:14

Repository: erp/devel/pi
Changeset: e98fa7d50bdbacb0ce7adc52d97b4f4e56fd1e93
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Apr 22 16:23:50 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/e98fa7d50bdbacb0ce7adc52d97b4f4e56fd1e93 [^]

Fixes issue 40579: Uses bind parameters in query

Instead of using string concatenation in query, bind parameters are used.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0111565)
Sandrahuguet (developer)
2019-05-08 11:35

code review + testing OK
(0112018)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-10 12:35 shuehner New Issue
2019-04-10 12:35 shuehner Assigned To => Triage Finance
2019-04-10 12:35 shuehner Modules => Core
2019-04-10 12:35 shuehner Triggers an Emergency Pack => No
2019-04-10 12:36 shuehner Relationship added blocks 0038136
2019-04-23 22:12 nonofrancisco Status new => scheduled
2019-05-04 17:16 nonofrancisco Status scheduled => acknowledged
2019-05-04 17:17 nonofrancisco Status acknowledged => scheduled
2019-05-04 17:27 nonofrancisco Note Added: 0111484
2019-05-08 11:14 hgbot Checkin
2019-05-08 11:14 hgbot Note Added: 0111562
2019-05-08 11:14 hgbot Status scheduled => resolved
2019-05-08 11:14 hgbot Resolution open => fixed
2019-05-08 11:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e98fa7d50bdbacb0ce7adc52d97b4f4e56fd1e93 [^]
2019-05-08 11:35 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-08 11:35 Sandrahuguet Note Added: 0111565
2019-05-08 11:35 Sandrahuguet Status resolved => closed
2019-05-08 11:35 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112018


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker